<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'guru',

    /*
     * Package.
     */
    'package'   => 'product',

    /*
     * Modules.
     */
    'modules'   => ['product', 'category', 'price'],


    'product'       => [
        'model'             => 'Guru\Product\Models\Product',
        'table'             => 'products',
        'presenter'         => \Guru\Product\Repositories\Presenter\ProductItemPresenter::class,
        'hidden'            => [],
        'visible'           => [],
        'guarded'           => ['*'],
        'slugs'             => ['slug' => 'name'],
        'dates'             => ['deleted_at'],
        'appends'           => [],
        'fillable'          => ['user_id', 'model',  'title',  'subtitle',  'keywords',  'url',  'category_id',  'status'],
        'translate'         => ['model',  'title',  'subtitle',  'keywords',  'url',  'category_id',  'status'],

        'upload-folder'     => '/uploads/product/product',
        'uploads'           => [
                                    'single'    => [],
                                    'multiple'  => [],
                               ],
        'casts'             => [
                               ],
        'revision'          => [],
        'perPage'           => '20',
        'search'        => [
            'name'  => 'like',
            'status',
        ],
    ],    'category'       => [
        'model'             => 'Guru\Product\Models\Category',
        'table'             => 'categories',
        'presenter'         => \Guru\Product\Repositories\Presenter\CategoryItemPresenter::class,
        'hidden'            => [],
        'visible'           => [],
        'guarded'           => ['*'],
        'slugs'             => ['slug' => 'name'],
        'dates'             => ['deleted_at'],
        'appends'           => [],
        'fillable'          => ['user_id', 'name',  'image'],
        'translate'         => ['name',  'image'],

        'upload-folder'     => '/uploads/product/category',
        'uploads'           => [
                                    'single'    => [],
                                    'multiple'  => [],
                               ],
        'casts'             => [
                               ],
        'revision'          => [],
        'perPage'           => '20',
        'search'        => [
            'name'  => 'like',
            'status',
        ],
    ],    'price'       => [
        'model'             => 'Guru\Product\Models\Price',
        'table'             => 'prices',
        'presenter'         => \Guru\Product\Repositories\Presenter\PriceItemPresenter::class,
        'hidden'            => [],
        'visible'           => [],
        'guarded'           => ['*'],
        'slugs'             => ['slug' => 'name'],
        'dates'             => ['deleted_at'],
        'appends'           => [],
        'fillable'          => ['user_id', 'price_range'],
        'translate'         => ['price_range'],

        'upload-folder'     => '/uploads/product/price',
        'uploads'           => [
                                    'single'    => [],
                                    'multiple'  => [],
                               ],
        'casts'             => [
                               ],
        'revision'          => [],
        'perPage'           => '20',
        'search'        => [
            'name'  => 'like',
            'status',
        ],
    ],
];
