<?php

namespace Guru\Product\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Product policy
        \Guru\Product\Models\Product::class => \Guru\Product\Policies\ProductPolicy::class,// Bind Category policy
        \Guru\Product\Models\Category::class => \Guru\Product\Policies\CategoryPolicy::class,// Bind Price policy
        \Guru\Product\Models\Price::class => \Guru\Product\Policies\PricePolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
